<template>
	 <view class="cart-fix" @click="toCart">
	 	<u-image width="70rpx" height="70rpx" src="/static/cart.png"></u-image>
	 	<u-badge absolute :offset="[15,10]" type="error" :count="count"></u-badge>
	 </view>
</template>
	<script>
		export default {
			computed: {
				count() {
					return this.$store.state.vuex_cartNums
				},
				hide_good_box(){
					return this.$store.state.vuex_goodBox
				},
				bus_x(){
					return this.$store.state.vuex_bus_x
				},
				bus_y(){
					return this.$store.state.vuex_bus_y
				}
			},
			methods: {
				toCart() {
					uni.navigateTo({
						url:"/pages/cart/cart"
					})
				}
			},
		}
	</script>

<style lang="scss">
	.cart-fix{
		position: fixed;
		z-index: 100000;
		background: rgba($color: #ffffff, $alpha: 0.7);
		padding: 10upx;
		border-radius: 100%;
		bottom: 40%;
		right: 2%;
		box-shadow: 3upx 3upx 8upx #ccc;
	}
</style>
